# pn_ospf – CLI command to add/remove ospf protocol to a vRouter

- DEPRECATED
- Synopsis
- Parameters
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.12
Why: | Doesn’t support latest Pluribus Networks netvisor
Alternative: | Latest modules will be pushed in Ansible future versions.

## Synopsis

- Execute vrouter-ospf-add, vrouter-ospf-remove command.
- This command adds/removes Open Shortest Path First(OSPF) routing protocol to a virtual router(vRouter) service.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_clipassword - |  | Provide login password if user is not root.
pn_cliswitch - | Default: "local" | Target switch to run the CLI on.
pn_cliusername - |  | Provide login username if user is not root.
pn_network_ip - / required |  | Specify the network IP (IPv4 or IPv6) address.
pn_ospf_area - |  | Stub area number for the configuration. Required for vrouter-ospf-add.
pn_vrouter_name - / required |  | Specify the name of the vRouter.

state
- / required

Choices:
- present ←
- absent

Assert the state of the ospf. Use 'present' to add ospf and 'absent' to remove ospf.

## Examples

    - name: "Add OSPF to vrouter"
      pn_ospf:
        state: present
        pn_vrouter_name: name-string
        pn_network_ip: 192.168.11.2/24
        pn_ospf_area: 1.0.0.0

    - name: "Remove OSPF from vrouter"
      pn_ospf:
        state: absent
        pn_vrouter_name: name-string

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | Indicates whether the CLI caused changes on the target.
command string | always | The CLI command run on the target node(s).
stderr list | on error | The set of error responses from the ospf command.
stdout list | always | The set of responses from the ospf command.

## Status

- This module will be removed in version 2.12. [deprecated]
- For more information see DEPRECATED.

### Authors

- Pluribus Networks (@amitsi)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.